@echo off
setlocal
if "%1"=="" echo Usage: %0 {ver#} & goto :eof
set ver=%1
set rel=rel\%ver%
if exist %rel% echo %rel%: already exists. & goto :eof

call :getversion
if NOT "%ver%" == "%version%" echo %ver%: wrong version#. & goto :eof

call :docopy dinv.gba .
call :docopy dinv.bin .
call :docopy readme.txt .

endlocal
goto :eof

:docopy
if not exist %rel%\%2 ( echo md %rel%\%2 && md %rel%\%2 )
echo copy %1 %rel%\%2%3
copy %1 %rel%\%2%3 >nul
goto :eof

:getversion
for /f %%i in ('awk -f getver.awk main.c') do set version=%%i
goto :eof

