/*
 *	jpeg.h
 */

#ifndef _JPEG_H_
#define _JPEG_H_

#include <gba.h>
#include <boolean.h>

extern b8 StartJpeg(int FileHandle);
extern void FreeJpeg(void);

extern void Jpeg_ShowFrameInfo(void);
extern int Jpeg_RefreshScreen(u16 *pBuf,u32 BufWidth,RECT ClientRect);

extern void Jpeg_SetPos(s32 x,s32 y,RECT ClientRect);
extern s32 Jpeg_GetPosX(void);
extern s32 Jpeg_GetPosY(void);

extern s32 Jpeg_GetWidth(void);
extern s32 Jpeg_GetHeight(void);

#endif // _JPEG_H_

